/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap");

:root {
  --accent-color: #e45d32;
}


.coupon-container {
  max-width: 90%;
  margin: 0px auto;
  border-radius: 10px;
  background-color: #fff;
  overflow: hidden;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}



.coupon {
  box-sizing: border-box;
  background: transparent;
  padding: 30px;
  position: relative;
  background-color: #f8f8f8;
  box-shadow: inset 4px 0px 0px 0px var(--accent-color);
}

.coupon-title {
  margin: 0 35px 0 0; font-size: 1.6em; font-weight: 600;
	color: #000;
}


.coupon-text {
  margin: 30px 0 0;
  line-height: 1.8em;
  font-size: 1.1em;
  display: block;
  min-height: 150px;
}
.coupon-text .code{font-size: 1.2em; color: #198eca;}

.coupon-toggle {
  background-color: transparent;
  border: 1px solid #e6e6e6;
  color: inherit;
  border-radius: 5%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2em;
  padding-top: 3px;
  position: absolute;
  top: 30px;
  right: 30px;
  height: 80px;
  width: 80px;
}

.coupon .coupon-toggle {
  background-color: var(--accent-color);
  border-color: var(--accent-color);
  color: #fff;
}

/*已使用*/

.coupon-old {
  box-sizing: border-box;
  background: transparent;
  padding: 30px;
  position: relative;
  background-color: #f8f8f8;
  box-shadow: inset 4px 0px 0px 0px #737576;;
}

.coupon-title-old {
  margin: 0 35px 0 0; font-size: 1.6em; font-weight: 600;
	color: #47494A;
}

.coupon-text .code-old{font-size: 1.2em; color: #000;}

.coupon-toggle-old {
  background-color: transparent;
  border: 1px solid #e6e6e6;
  color: inherit;
  border-radius: 5%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2em;
  padding-top: 3px;
  position: absolute;
  top: 30px;
  right: 30px;
  height: 80px;
  width: 80px;
}

.coupon-old .coupon-toggle-old {
  background-color: #47494A;
  border-color: #47494A;
  color: #fff;
}
